curl --request PATCH \
--url https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/calls/{call_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"reason": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"collectedInformation": {},
"reviewStatus": "<string>",
"retry": false,
"reviewChecklist": {},
"tags": [
"<string>"
]
}
'import requests
url = "https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/calls/{call_id}"
payload = {
"status": "<string>",
"reason": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"collectedInformation": {},
"reviewStatus": "<string>",
"retry": False,
"reviewChecklist": {},
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
reason: '<string>',
errorCode: '<string>',
errorMessage: '<string>',
collectedInformation: {},
reviewStatus: '<string>',
retry: false,
reviewChecklist: {},
tags: ['<string>']
})
};
fetch('https://api-prod.interactly.ai/campaigns/v1/campaigns/{campaign_id}/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"_id": "<string>",
"configId": "<string>",
"phoneNumber": "<string>",
"status": "received",
"outcome": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"collectedInformation": {},
"conversationId": "<string>",
"retryCount": 123,
"maxRetries": 123,
"tags": [
"<string>"
],
"review": {
"status": "not_required",
"by": "5eb7cf5a86d9755df3a6c593",
"timestamp": "2023-11-07T05:31:56Z",
"reason": "<string>",
"emails": [
"<string>"
],
"emailSent": false,
"emailSentAt": "2023-11-07T05:31:56Z",
"checklist": {}
},
"processTimings": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"statusHistory": [
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"message": "<string>"
}Update Call
Patch a call by its ID in a campaign.
- campaign_id: The ID of the campaign configuration.
- call_id: The ID of the call to patch.
- body: The request body containing fields to update.
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Campaign configuration ID
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Call record ID
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Body
Override the call status manually. Valid values for manual override: 'completed', 'failed'. Use only for correcting records where automated processing produced an incorrect result.
Free-text reason for the status change or review decision
Error code to attach when marking a call as failed
Human-readable error description when marking a call as failed
Override or extend the structured data collected during the call conversation
Set the manual review status. Possible values: 'not_required', 'pending', 'in_progress', 'rejected', 'approved'
When true, resets this call to 'ready' status so it is picked up for another dial attempt
Key-value pairs for the review checklist (e.g. {"verified_insurance": true, "confirmed_dob": true})
Replace the call's tag list with this list. Pass an empty list to clear all tags.